<?php
require_once 'include/contain.class.php';

if(isset($_COOKIE['login_auth'])) {
    list($User_uid, $User_username) = explode("\t", uc_authcode($_COOKIE['login_auth'], 'DECODE'));
    if($_GET['a']=='history'){
            $qq=mysql_query("SELECT * FROM ".IQQOL_SQLTABLE."online 
WHERE `qq`='{$_GET['qq']}'",$con);
                $r=mysql_fetch_array($qq);
                if($r[username]==$User_username){
                    $state = urldecode($r['history']);
                    $style->display('plugins/history.html');
                }
                else{
                    $state = '';
                    $style->display('plugins/history.html');
                }
    }
}
else {
    $style->display('login.html');
}
?>